Ad Activation/Deactivation
Activate or deactivate a single ad without rewriting the entire ad configuration through save_or_update.
HTTP Request
-
POST
/api/v3/fiat/merchant/ads/state -
Note: Request parameters are concatenated in the URL query string as
key=value&key=value. JSON body is not supported.
Required Permission: P2P Deal Ad
Request Parameters
| Name | Type | Mandatory | Description |
|---|---|---|---|
| advNo | string | yes | Advertisement unique identifier |
| open | boolean | yes | true: on shelf (OPEN); false: off shelf (CLOSE) |
Request
&advNo=a1375750128856004608&open=true
Response Parameters
| Name | Type | Description |
|---|---|---|
| code | integer | 0 indicates success |
| msg | string | Result description |
| data | null | No data returned |
Response
{
"code": 0,
"msg": "success",
"data": null
}